html, body{
    height: 100%;
}
body{
    background: none;
    overflow: hidden;
}
body::before{
    content: "";
    position: absolute;
    top: 0; 
    left: 0;
    width: 100%; 
    height: 100%;
    display: block;
    background-image: url('../img/seguridad.jpg');
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    filter: opacity(50%);
}
.toCenter{
    height: 100%;
    display: flex;
    align-items: center;
    overflow: auto;
}
#loginSection > div,
#recoverPasswordSection > div{
    width: 80%;
}
#loginSection,
#recoverPasswordSection{
    height: 430px;
}
#loginSection,
#recoverPasswordSection{
    width: 500px;
    border-radius: 5px;
    background-color: var(--blanco);
    z-index: 1;
    display: flex;
    justify-content: center;
    align-items: center;
}

#headerSection{
    margin-left: 0px !important;
    margin-right: 15px !important;
    bottom: -16px !important;
}
.block-login{
    padding: 0em;
}
.block-login .logo{
    width: 300px;
    margin: 0 auto;
    display: flex;
    padding: 1em 0;
    padding-top: 0;
    padding-bottom: 1.5em;
}
#formLogin label,
#formPassword label{
    color: var(--negro);
}
.input-group:not(.has-validation)>.form-control:not(:last-child), .input-group:not(.has-validation)>.custom-select:not(:last-child), .input-group:not(.has-validation) >.custom-file:not(:last-child) .custom-file-label::after{
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
}
.input-group>.input-group-prepend>.btn, .input-group>.input-group-prepend>.input-group-text, .input-group:not(.has-validation) >.input-group-append:not(:last-child)>.btn, .input-group:not(.has-validation) >.input-group-append:not(:last-child)>.input-group-text, .input-group.has-validation>.input-group-append:nth-last-child(n+3)>.btn, .input-group.has-validation>.input-group-append:nth-last-child(n+3)>.input-group-text, .input-group>.input-group-append:last-child>.btn:not(:last-child):not(.dropdown-toggle), .input-group>.input-group-append:last-child>.input-group-text:not(:last-child){
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}
#formLogin input::placeholder,
#formPassword input::placeholder{
    color: var(--gris);    
}
#goLogin,
#goRecoverPassword{
    background-color: var(--naranja-primario) !important;
    color: var(--blanco) !important;
    border: 3px solid var(--naranja-primario);
    border-radius: 5px;
}
#goLogin:hover,
#goRecoverPassword:hover{
    background-color: var(--negro-ui) !important;
    color: var(--blanco) !important;
    border: 3px solid var(--naranja-primario);
    border-radius: 5px;
}
#formLogin .input-group-text,
#formPassword .input-group-text{
    background-color: var(--naranja-primario) !important;
    border-color: var(--naranja-primario) !important;
}
#formLogin .input-group-text i,
#formPassword .input-group-text i{
    color: var(--blanco);
}
#toRecoverPasswordSection{
    color: var(--negro) !important;
}

h1{
    font-size: 3rem;
    font-weight: 700;
    color: #00a1ac;
}
h1 span{
    font-size: 2.25rem;
    font-weight: 300;
}
h1::after{
    content: "";
    width: 175px;
    height: 1px;
    background-color: #00a1ac;
    display: block;
    margin: .48em auto;    
}
#messageSection{
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    background: #FFF;
}
#messageSection .alert{
    border-radius: 0;
    -moz-border-radius: 0;
    -webkit-border-radius: 0;
}
#messageSection .content{
    font-size: 14px;
    text-align: center;
}
/*Responsive*/
@media (max-width: 319px){
    #loginSection, #recoverPasswordSection{
        width: 100%;
    }
    body::after{
        height: 7px;
    }
    div.block-login{
        width: 100%;
        max-width: 90%;
        padding: 1em;
    }
    div.block-login h1.text-center{
        font-size: medium;
    }
    div.block-login .form-control{
        height: 30px;
    }
    div.block-login .form-group{
        margin-bottom: .48rem;
    }
    div.block-login .text-center{
        font-size: small;
    }
    section.toCenter{
        align-items: center !important;
    }
    .block-login .card i{
        font-size: 3rem;
    }
    h1 span{
        font-size: .8rem;
    }
}
@media (min-width: 320px) and (max-width: 575.98px){
    #loginSection, #recoverPasswordSection{
        width: 90%;
    }
    body::after{
        height: 7px;
    }
    div.block-login{
        width: 100%;
    }
    div.block-login h1.text-center{
        font-size: x-large;
    }
    div.block-login .form-group{
        margin-bottom: .48rem;
    }
    section.toCenter{
        align-items: center !important;
    }
    .block-login .card i{
        font-size: 4rem;
    }
    h1 span{
        font-size: 1.1rem;
    }
}
@media (min-width: 576px) and (max-width: 767.98px){
    #loginSection, #recoverPasswordSection{
        width: 90%;
    }
    section.toCenter{
        align-items: center !important;
    }
    .block-login .card i{
        font-size: 5rem;
    } 
}
@media (min-width: 768px) and (max-width: 991.98px){

    section.toCenter{
        align-items: center !important;
    }
    .block-login .card i{
        font-size: 6rem;
    }
}
@media (min-width: 992px) and (max-width: 1199.98px){
    .block-login .card i{
        font-size: 7rem;
    }
}